You are not logged in.

#1 2014-06-12 05:16:03

From: United States
Registered: 2014-01-23
Posts: 17

gnuradio - wxgui failure.

It's been... several months since this issue cropped up, and no fix seems to be available. Whenever I attempt to excecute a flowgraph in gnuradio using WXGUI blocks, I get this:

/home/jowijo/.gtkrc-2.0:1: error: unexpected character '[', expected keyword - e.g. `style'
Using Volk machine: avx_64_mmx_orc
Traceback (most recent call last):
  File "/home/jowijo/", line 78, in <module>
    tb = top_block()
  File "/home/jowijo/", line 46, in __init__
  File "/usr/lib/python2.7/site-packages/gnuradio/wxgui/", line 198, in __init__ = fft_window(self, parent, size=size)
  File "/usr/lib/python2.7/site-packages/gnuradio/wxgui/", line 331, in __init__
    self.control_panel = control_panel(self)
  File "/usr/lib/python2.7/site-packages/gnuradio/wxgui/", line 256, in __init__
    wx.Panel.__init__(self, parent, -1, style=wx.SIMPLE_BORDER)
  File "/usr/lib/python2.7/site-packages/wx-3.0-gtk2/wx/", line 68, in __init__
    _windows_.Panel_swiginit(self,_windows_.new_Panel(*args, **kwargs))
wx._core.PyAssertionError: C++ assertion "m_window" failed at ./src/gtk/dcclient.cpp(2041) in DoGetSize(): GetSize() doesn't work without window

Have tried:
- Installing nvidia package for my Arch system.
- Re-installing wxpython
- Restarting several times
- Yes, the bugfix says it was fixed in 3.7.2, but as of 3.7.3; it's broken.

This was never an issue in Ubuntu or Fedora, and can be "solved" by downgrading severl packages, including gnuradio; but this then makes tome OOT modules not work. Any idea what is going on here, and why this has yet to be dealt with?


#2 2014-06-20 20:46:31

From: Tel Aviv-Jaffa, Israel
Registered: 2012-08-08
Posts: 79

Re: gnuradio - wxgui failure.

I'm getting the same error here as well.

Not sure if related, but all GRC flows also fail here with: "NameError: name 'grc_wxgui' is not defined". Resolved. Original error still happens.

Last edited by yuvadm (2014-08-27 20:54:05)


#3 2014-08-18 02:08:54

From: Melbourne, Australia
Registered: 2009-05-05
Posts: 62

Re: gnuradio - wxgui failure.

also having this issue


#4 2014-08-18 11:49:45

From: age
Registered: 2013-08-29
Posts: 390

Re: gnuradio - wxgui failure.

I don't think I'm able to help you, but perhaps someone else can if you file a new bug report(if you haven't yet) and give a list of the packages you had to downgrade.


#5 2014-08-27 21:09:57

Trusted User (TU)
Registered: 2007-02-22
Posts: 647

Re: gnuradio - wxgui failure.

Sorry about this.  I had applied the fix while updating Gnuradio for the boost 1.56.0 rebuild.  I didn't expect the rebuild to take this long, I should have done it in two passes.

Anyway, it is pretty trivial.  There is a missing optdep, python2-opengl.  Install that and everything should be good.


Board footer

Powered by FluxBB